Rhonabwy: src/misc.c File Reference

Rhonabwy Javascript Object Signing and Encryption (JOSE) library - JWK, JWKS, JWS, JWE and JWT

Loading...
Searching...
No Matches
Macros | Functions
misc.c File Reference
`#include <zlib.h>`
`#include <orcania.h>`
`#include <yder.h>`
`#include <rhonabwy.h>`

## Macros
#define | _R_BLOCK_SIZE 256

## Functions
int | r_global_init (void)
void | r_global_close (void)
char * | _r_get_http_content (const char *url, int x5u_flags, const char *expected_content_type)
int | _r_json_set_str_value (json_t *j_json, const char *key, const char *str_value)
int | _r_json_set_int_value (json_t *j_json, const char *key, rhn_int_t i_value)
int | _r_json_set_json_t_value (json_t *j_json, const char *key, json_t *j_value)
const char * | _r_json_get_str_value (json_t *j_json, const char *key)
rhn_int_t | _r_json_get_int_value (json_t *j_json, const char *key)
json_t * | _r_json_get_json_t_value (json_t *j_json, const char *key)
json_t * | _r_json_get_full_json_t (json_t *j_json)
size_t | _r_get_key_size (jwa_enc enc)
gnutls_cipher_algorithm_t | _r_get_alg_from_enc (jwa_enc enc)
int | _r_deflate_payload (const unsigned char *uncompressed, size_t uncompressed_len, unsigned char **compressed, size_t *compressed_len)
int | _r_inflate_payload (const unsigned char *compressed, size_t compressed_len, unsigned char **uncompressed, size_t *uncompressed_len)
jwa_alg | r_str_to_jwa_alg (const char *alg)
const char * | r_jwa_alg_to_str (jwa_alg alg)
jwa_enc | r_str_to_jwa_enc (const char *enc)
const char * | r_jwa_enc_to_str (jwa_enc enc)
json_t * | r_library_info_json_t (void)
char * | r_library_info_json_str (void)
void | r_free (void *data)

## Macro Definition Documentation

## ◆ _R_BLOCK_SIZE

#define _R_BLOCK_SIZE 256

Rhonabwy library

misc.c: Misc functions definitions

Copyright 2020-2022 Nicolas Mora mail@.nosp@m.babe.nosp@m.loues.nosp@m.t.or.nosp@m.g

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; version 2.1 of the License.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU GENERAL PUBLIC LICENSE for more details.

You should have received a copy of the GNU General Public License along with this library. If not, see http://www.gnu.org/licenses/.

## Function Documentation

## ◆ _r_deflate_payload()

int _r_deflate_payload | ( | const unsigned char * | uncompressed,
|  | size_t | uncompressed_len,
|  | unsigned char ** | compressed,
|  | size_t * | compressed_len
| ) |  |

## ◆ _r_get_alg_from_enc()

gnutls_cipher_algorithm_t _r_get_alg_from_enc | ( | jwa_enc | enc | ) |

## ◆ _r_get_http_content()

char * _r_get_http_content | ( | const char * | url,
|  | int | x5u_flags,
|  | const char * | expected_content_type
| ) |  |

Rhonabwy JSON Web Key Set (JWKS) library

jwks.c: functions definitions

Copyright 2020-2022 Nicolas Mora mail@.nosp@m.babe.nosp@m.loues.nosp@m.t.or.nosp@m.g

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; version 2.1 of the License.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU GENERAL PUBLIC LICENSE for more details.

You should have received a copy of the GNU General Public License along with this library. If not, see http://www.gnu.org/licenses/.

## ◆ _r_get_key_size()

size_t _r_get_key_size | ( | jwa_enc | enc | ) |

## ◆ _r_inflate_payload()

int _r_inflate_payload | ( | const unsigned char * | compressed,
|  | size_t | compressed_len,
|  | unsigned char ** | uncompressed,
|  | size_t * | uncompressed_len
| ) |  |

## ◆ _r_json_get_full_json_t()

json_t * _r_json_get_full_json_t | ( | json_t * | j_json | ) |

## ◆ _r_json_get_int_value()

rhn_int_t _r_json_get_int_value | ( | json_t * | j_json,
|  | const char * | key
| ) |  |

## ◆ _r_json_get_json_t_value()

json_t * _r_json_get_json_t_value | ( | json_t * | j_json,
|  | const char * | key
| ) |  |

## ◆ _r_json_get_str_value()

const char * _r_json_get_str_value | ( | json_t * | j_json,
|  | const char * | key
| ) |  |

## ◆ _r_json_set_int_value()

int _r_json_set_int_value | ( | json_t * | j_json,
|  | const char * | key,
|  | rhn_int_t | i_value
| ) |  |

## ◆ _r_json_set_json_t_value()

int _r_json_set_json_t_value | ( | json_t * | j_json,
|  | const char * | key,
|  | json_t * | j_value
| ) |  |

## ◆ _r_json_set_str_value()

int _r_json_set_str_value | ( | json_t * | j_json,
|  | const char * | key,
|  | const char * | str_value
| ) |  |

Internal functions